package com.realnet.nnnr.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.nnnr.Entity.Hello;
import com.realnet.nnnr.Services.HelloService ;






@RequestMapping(value = "/Hello")
 @CrossOrigin("*") 
@RestController
public class HelloController {
	@Autowired
	private HelloService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Hello")
		  public Hello Savedata(@RequestBody Hello data) {
		Hello save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Hello/{id}")
	public  Hello update(@RequestBody Hello data,@PathVariable Integer id ) {
		Hello update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Hello/getall/page")
	public Page<Hello> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Hello> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Hello")
	public List<Hello> getdetails() {
		 List<Hello> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Hello")
	public List<Hello> getallwioutsec() {
		 List<Hello> get = Service.getdetails();		
		return get;
}
@GetMapping("/Hello/{id}")
	public  Hello  getdetailsbyId(@PathVariable Integer id ) {
		Hello  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Hello/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}